public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/xapers/
Date: Fri,  4 Sep 2020 23:23:29 +0000 (UTC)	[thread overview]
Message-ID: <1599261789.742bb4c9b220610521a8fa026fbca8d15eb3b2f3.sam@gentoo> (raw)

commit:     742bb4c9b220610521a8fa026fbca8d15eb3b2f3
Author:     William Pettersson <william <AT> ewpettersson <DOT> se>
AuthorDate: Wed Aug 12 14:48:27 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep  4 23:23:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=742bb4c9

app-text/xapers: bump to 0.9.0

Fixes some issues with tests, python37 updates.

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: William Pettersson <william <AT> ewpettersson.se>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/xapers/Manifest            |  1 +
 app-text/xapers/xapers-0.9.0.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/app-text/xapers/Manifest b/app-text/xapers/Manifest
index 637134e5654..f94d93624b8 100644
--- a/app-text/xapers/Manifest
+++ b/app-text/xapers/Manifest
@@ -1 +1,2 @@
 DIST xapers-0.8.2.tar.gz 160938 BLAKE2B cb21d04146f0cca39f1a706641e4cd2a83a796cbf4eb096379367203d91811c20798638a27215e9fdd9ffb32de908a389b0af57200f19bf4d2c8477a9c82ca93 SHA512 cdf1d4791dd48f579f9ee019492c26d10c9855c1ceef2c15bdc81dfdab0f1d74f54db453bb60a9d297a155a55d73cd26ff192875b4ee2b80d8f9f5d35a4bbcc9
+DIST xapers-0.9.0.tar.gz 159928 BLAKE2B d202a3835ccbcb1adfc2123ee40f6e1992e0c10f84cf57fc38eaae27134d649c94b5c625bf3a11ef2f4d119093fb1dcd99a923a9585d8e6b6b37ed9db7c15247 SHA512 0b2e32d215c64842a2d586c776d6cdfd2b77cd3081929c37dde9682fb61e8c58e374773ef33e1123087e8dcf655e12fd19db371005aaf31875492607d6494dd7

diff --git a/app-text/xapers/xapers-0.9.0.ebuild b/app-text/xapers/xapers-0.9.0.ebuild
new file mode 100644
index 00000000000..56850c3d6e1
--- /dev/null
+++ b/app-text/xapers/xapers-0.9.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2016-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Personal document indexing system"
+HOMEPAGE="https://finestructure.net/xapers/ https://gitlab.com/jrollins/xapers/"
+SRC_URI="https://gitlab.com/jrollins/${PN}/-/archive/${PV}/${P}.tar.gz"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="app-text/poppler[utils]
+	dev-libs/xapian-bindings[python,${PYTHON_USEDEP}]
+	dev-python/pybtex[${PYTHON_USEDEP}]
+	dev-python/pycurl[${PYTHON_USEDEP}]
+	dev-python/urwid[${PYTHON_USEDEP}]
+	x11-misc/xclip
+	x11-misc/xdg-utils"
+
+BDEPEND="test? ( ${RDEPEND} )"
+
+src_test() {
+	cd test || die
+	./all || die
+}


             reply	other threads:[~2020-09-04 23:23 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-04 23:23 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-30 19:49 [gentoo-commits] repo/gentoo:master commit in: app-text/xapers/ Arthur Zamarin
2024-05-14 15:05 Joonas Niilola
2024-05-14 15:05 Joonas Niilola
2024-01-21  4:21 Sam James
2023-04-02 17:33 Sam James
2022-05-19  2:25 Sam James
2022-05-19  2:25 Sam James
2021-07-22  7:49 Joonas Niilola
2021-07-22  7:49 Joonas Niilola
2021-07-20 10:25 Joonas Niilola
2020-09-04 23:23 Sam James
2020-06-28 10:41 Joonas Niilola
2020-06-28 10:41 Joonas Niilola
2020-06-28 10:41 Joonas Niilola
2018-11-08 22:49 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1599261789.742bb4c9b220610521a8fa026fbca8d15eb3b2f3.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox